Subject: bug#20628: 25.0.50; Incorrect line height for some fonts

From: Oleh Krehel <[email-masked]>
Date: Fri, 22 May 2015 12:11:40 +0200

Eli Zaretskii <[email-masked]> writes:

> In particular, the ugly effect in
> https://cloud.githubusercontent.com/assets/2506825/7760973/67ceaaea-ffd5-11e4-8bf6-d796aa162b0e.png
> is most probably caused by using a font whose Math Alphanumerics block
> specifies a very large vertical space, to accommodate for
> superscripts, power, integrals, etc.  Just switch to a different font
> which covers the same block without this adverse side effect.
>
> So the only way to fix this (if it really can be fixed) is for someone
> who knows enough about these fonts to explain (a) why the metrics
> provided by these fonts are incorrect, and (b) what metrics to use
> instead and how to compute them.  Failing that, there's nothing that
> can be done here, as Emacs behaves as required and as designed.

I have the same problem with DejaVu:

    -unknown-DejaVu Sans Mono-normal-normal-normal-*-15-*-*-*-m-0-fontset-auto2

which is basically the most popular free font. And yet when I paste a
problematic char, like 𝝹 into gedit, configured also with DejaVu Sans Mono,
there's no issue. So it can be solved, since gedit does it.

Oleh